## org.apache.http.impl
Class DefaultHttpServerConnection

    java.lang.Object
      org.apache.http.impl.AbstractHttpServerConnection
          org.apache.http.impl.SocketHttpServerConnection
              org.apache.http.impl.DefaultHttpServerConnection

All Implemented Interfaces:
  Closeable, HttpConnection, HttpInetConnection, HttpServerConnection

    @NotThreadSafe
    public class DefaultHttpServerConnection

extends SocketHttpServerConnection

Default implementation of a server-side HTTP connection.

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreConnectionPNames.TCP_NODELAY`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SO_LINGER`
- `CoreConnectionPNames.SO_KEEPALIVE`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.MAX_LINE_LENGTH`
- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MIN_CHUNK_LIMIT`

Since:
  4.0

Constructor Summary
`DefaultHttpServerConnection()`

Method Summary
`void` `bind(Socket socket, HttpParams params)` Binds this connection to the given `Socket`.

Methods inherited from class org.apache.http.impl.SocketHttpServerConnection
`assertNotOpen, assertOpen, close, createSessionInputBuffer, createSessionOutputBuffer, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, isOpen, setSocketTimeout, shutdown, toString`

Methods inherited from class org.apache.http.impl.AbstractHttpServerConnection
`createConnectionMetrics, createEntityDeserializer, createEntitySerializer, createHttpRequestFactory, createRequestParser, createResponseWriter, doFlush, flush, getMetrics, init, isEof, isStale, receiveRequestEntity, receiveRequestHeader, sendResponseEntity, sendResponseHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpConnection
`getMetrics, isStale`

Constructor Detail

### DefaultHttpServerConnection

    public DefaultHttpServerConnection()

Method Detail

### bind

    public void bind(Socket socket,
                     HttpParams params)
              throws IOException

  Description copied from class: `SocketHttpServerConnection`
  Binds this connection to the given `Socket`. This socket will be used by the connection to send and receive data.

  This method will invoke `SocketHttpServerConnection.createSessionInputBuffer(Socket, int, HttpParams)` and `SocketHttpServerConnection.createSessionOutputBuffer(Socket, int, HttpParams)` methods to create session input / output buffers bound to this socket and then will invoke `AbstractHttpServerConnection.init(SessionInputBuffer, SessionOutputBuffer, HttpParams)` method to pass references to those buffers to the underlying HTTP message parser and formatter.

  After this method's execution the connection status will be reported as open and the `SocketHttpServerConnection.isOpen()` will return `true`.

  Overrides:
    `bind` in class `SocketHttpServerConnection`
  Parameters:
    `socket` - the socket.
    `params` - HTTP parameters.
  Throws:
    `IOException` - in case of an I/O error.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.